> For the complete documentation index, see [llms.txt](https://docs.tako.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/bid-functions.md).

# Bid Functions

## bid

After the Bid is posted, anyone can accept the Bid and complete the curation. After a certain period of time, the curation effectiveness is calculated, and the Curator with the best effectiveness can claim the reward. In Open Curation, the curation method is fixed as Quote Post. The curation effectiveness is calculated by summing the number of comments and mirrors received by the Curator's Quote Post.

`function bid( BidData calldata vars, DataTypes.MerkleVerifyData calldata verifyData ) external payable nonReentrant onlyWhitelisted(verifyData)`

<table><thead><tr><th width="160.33333333333331">Name</th><th width="171">Type</th><th>Description</th></tr></thead><tbody><tr><td>vars</td><td>BidData</td><td>Go to the page “Enums and Functions” for more details</td></tr><tr><td>verifyData</td><td>MerkleVerifyData</td><td>Verify if the bid creator is on the whitelist<br>Go to the page “Enums and Functions” for more details</td></tr></tbody></table>

## bidBatch

Similar to bid, supports batch operations.

`function bidBatch( BidData[] calldata vars, DataTypes.MerkleVerifyData calldata verifyData ) external payable nonReentrant onlyWhitelisted(verifyData)`

<table><thead><tr><th width="162.33333333333331">Name</th><th width="175">Type</th><th>Description</th></tr></thead><tbody><tr><td>vars</td><td>BidData[]</td><td>Go to the page “Enums and Functions” for more details</td></tr><tr><td>verifyData</td><td>MerkleVerifyData</td><td>Verify if the bid creator is on the whitelist<br>Go to the page “Enums and Functions” for more details</td></tr></tbody></table>

## updateBid

`function updateBid( uint256 index, uint256 amount ) external payable nonReentrant`

<table><thead><tr><th width="162.33333333333331">Name</th><th width="175">Type</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>uint256</td><td>The index of bid</td></tr><tr><td>amount</td><td>uint256</td><td>The amount of bid token</td></tr></tbody></table>

## claimBackBid

Claim back the token after the bid expires

`function claimBackBid(uint256 index) external nonReentrant`

<table><thead><tr><th width="188.33333333333331">Name</th><th width="173">Type</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>uint256</td><td>The index of bid</td></tr></tbody></table>

## claimBackBidBatch

Similar to bid, supports batch operations

`function claimBackBidBatch( uint256[] calldata indexArr ) external nonReentrant`

<table><thead><tr><th width="194.33333333333331">Name</th><th width="169">Type</th><th>Description</th></tr></thead><tbody><tr><td>indexArr</td><td>uint256[]</td><td>The indexes of bids</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/bid-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
